No edit summary
No edit summary
Line 220: Line 220:
     height: auto;
     height: auto;
}
}
/** Оформление всего текста
    Styles for all text    **/
body {
    /* Нормализация размеров табуляции */
    -moz-tab-size: 4;
    -o-tab-size: 4;
    tab-size: 4;
}
/** Заглавие / Title **/
/* Отделяет название пространства имён от остального названия страницы
    Separate the namespace from the rest of the page’s name */
    .mw-page-title-separator::after {
    content: ' ';
}
/** Позволяет скрывать части оглавления
    Hideable TOC elements              **/
/* Уровни разделов */
.toc-hidelevel2 .toclevel-1 ul,
.toc-hidelevel3 .toclevel-2 ul,
.toc-hidelevel4 .toclevel-3 ul,
/* Нумерация */
.toc-nonumbers .tocnumber {
    display: none;
}
/** Оформление WikiEditor **/
.wikiEditor-ui-top {
    border: 0 !important;
}
.wikiEditor-ui-toolbar {
    border-bottom: 1px solid silver;
}
.wikiEditor-ui-text {
    background-color: var(--background-color-base);
}
.wikiEditor-ui-text textarea {
    background-color: transparent;
}
/* Fix wikiEditor spacing */
#upload_container {
    margin-top: -1px;
}
#upload_div {
    margin: 0;
    width: auto;
    border-width: 1px 0;
    box-shadow: none;
}
/* Prevent page jump from the toolbar loading */
.client-js #editform {
    /* To disable margin collapsing */
    overflow: hidden;
}
.client-js .mw-editform > #wpTextbox1 {
    margin-top: 73px;
}
/** Стили для Панели быстрой вставки **/
#userButtons {
    background-color: transparent;
    border: 1px solid #76FF76;
    font-size: 95%;
    width: 100%;
    border-collapse: collapse;
    color: black;
    margin: 1px 0px 1em;
    }
#userButtons tr th, table#userButtons * tr th {
    background-color: #BBFFBB;
    border: 1px solid #76FF76;
    font-size: 95%;
    padding: 2px;
    text-align: center;
    }
#userButtons tr td, table#userButtons * tr td {
    border: 1px solid #76FF76;
    padding: 5px;
    }
#userButtons tr td p, table#userButtons * tr td p {
    margin-top:0;
    margin-bottom:0;
    }
#userButtons.collapsible tr th, table#userButtons.collapsible * tr th {
    padding-left: 6.5em;
    }
/* Отступ перед ПБВ */
.editOptions {
        padding-bottom:0px;
        margin-bottom:0px;
        }
/* Стиль разделителей ПБВ */
#userButtons * hr {
    background-color: #76FF76;
    width: 100%;
    float: left; /* без этого разделители начинались примерно в центре страницы */
}
.userButtonsAddons {
    border: 1px dotted #aaaaaa !important;
    padding: 2px;
    font-size: 95%;
    background-color: transparent !important;
    width: 49%;
    border-collapse: collapse;
    color: black;
    margin-bottom: 1em;
    margin-left: 0px;
    margin-right: 0px;
    margin-top: 1em;
}
.userButtonsAddons * th, .userButtonsAddons * td {
    border:1px dotted #aaaaaa !important;
    padding:2px;
    background-color:transparent !important;
    padding: 0.2em;
}
.userButtonsAddons * th {
    text-align:center;
}
/* Скрытие блоков в панели быстрой вставки. Блоки предназначенные для обсуждений не отображаются на обычных страницах, и наоборот. */
.ns-talk * .userButtons-subject {
    display: none;
}
.ns-subject * .userButtons-talk,
.ns-subject * #userButtonsSignature {
    display: none;
}
/** Конец стилей Панели быстрой вставки **/
/*** СТАНДАРТНЫЕ КЛАССЫ
        STANDARD CLASSES  ***/
/** Пиксельное масштабирование изображений и иконок пользователей **/
.pixel-image,
.sprite,
.sprite img,
.mw-userlink,
.invslot,
.ns-special .gallerybox img,
.ns-14 .gallerybox img,
.filehistory a img,
.mcui,
.gui {
    image-rendering: optimizeSpeed;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: optimize-contrast;
    image-rendering: -moz-crisp-edges;
    image-rendering: -o-crisp-edges;
    image-rendering: crisp-edges;
    image-rendering: pixelated;
    -ms-interpolation-mode: nearest-neighbor;
}
/** Отключить разрыв строки на пробелах **/
.nowrap {
    white-space: nowrap;
}
/** Hide noscript only elements **/
.noscript {
    display: none;
}
/** Скрытие от простых смертных ненужных элементов **/
.admin_only,
.admin_only_inline,
.admin_only_block,
.admin_only_flex {
    display: none !important;
}
/** Только для средств чтения с экрана **/
.sr-only:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}
/** Чередующиеся ячейки и строки таблиц
    Alternating table cells and rows    **/
/*
    .alternatecells:nth-child(odd) {
        background-color: #F9F9F9;
    }
    body.wgl-theme-dark .alternatecells:nth-child(odd) {
        background-color: #222;
    }
   
    .alternaterows tr:nth-child(even) {
        background-color: #F9F9F9;
    }
    body.wgl-theme-dark .alternaterows tr:nth-child(even) {
        background-color: #222;
    }
*/